# Enum ethcore_ipc::binary::BinaryConvertErrorKind [−] [src]

    pub enum BinaryConvertErrorKind {
        SizeMismatch {
            expected: usize,
            found: usize,
        },
        TargetPayloadEmpty,
        UnexpectedVariant(u8),
        MissingLengthValue,
        InconsistentBoundaries,
        NotSupported,
    }

## Variants

`SizeMismatch`

### Fields

`expected: usize` |
`found: usize` |

`TargetPayloadEmpty``UnexpectedVariant(u8)``MissingLengthValue``InconsistentBoundaries``NotSupported`

## Trait Implementations

### `impl Debug for BinaryConvertErrorKind`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)